%define upstream_name	 Linux-CDROM
%define upstream_version 0.02

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 25

Summary:	An interface to Linux CDROM device
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Linux/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl-devel


%description
common recipes featuring your CDROM drive as its main ingredient

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
#%{__make} test

%install
%make_install

find %{buildroot} -name "perllocal.pod" -delete

%files
%doc README META.yml
%{perl_vendorarch}/Linux/CDROM*
%{perl_vendorarch}/*/Linux/CDROM/*
%{_mandir}/*/*


%changelog
* Tue Nov 28 2023 tv <tv> 0.20.0-25.mga10
+ Revision: 2010956
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.20.0-24.mga9
+ Revision: 1862057
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.20.0-23.mga9
+ Revision: 1795849
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.20.0-22.mga9
+ Revision: 1726760
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.20.0-21.mga8
+ Revision: 1594835
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.20.0-20.mga8
+ Revision: 1529699
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 0.20.0-19.mga8
+ Revision: 1433805
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.20.0-18.mga7
+ Revision: 1293319
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.20.0-17.mga7
+ Revision: 1250432
- Rebuild for perl 5.28

* Tue Oct 03 2017 tv <tv> 0.20.0-16.mga7
+ Revision: 1165196
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.20.0-15.mga7
+ Revision: 1149020
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.20.0-14.mga7
+ Revision: 1126498
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.20.0-13.mga6
+ Revision: 1029161
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.20.0-12.mga6
+ Revision: 957619
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.20.0-11.mga6
+ Revision: 842711
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.20.0-10.mga5
+ Revision: 743366
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.20.0-9.mga5
+ Revision: 685223
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.20.0-8.mga5
+ Revision: 631370
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.20.0-7.mga4
+ Revision: 524406
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.20.0-6.mga4
+ Revision: 430773
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.20.0-5.mga3
+ Revision: 369083
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.20.0-4.mga3
+ Revision: 250853
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 0.20.0-3.mga2
+ Revision: 104737
- Rebuild for perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 0.20.0-2.mga1
+ Revision: 30703
- mageia rebuild
- imported package perl-Linux-CDROM

